Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » OM2M » problem to build om2m (Unable to build the om2m, following official website given steps )
problem to build om2m [message #1810201] Sat, 03 August 2019 11:08
Draco IoT is currently offline Draco IoTFriend
Messages: 1
Registered: August 2019
Junior Member
Hello Sir/Madam,

I am quite interesting in OM2M, I ried to build the om2m in my laptop but I could not make it.

Some points:
1) I already have java 1.8. (Defined path also)
2) I already have Maven 3.6.1 (Defined path also)
3) I also have Tycho installed in eclipse.

Now the thing is that I have tried via command line and eclipse both way but could not make it.

PS C:\Users\git\org.eclipse.om2m> mvn clean install
[INFO] Scanning for projects...
[WARNING] No explicit target runtime environment configuration. Build is platform dependent.
.
.
.
.

[WARNING] No explicit target runtime environment configuration. Build is platform dependent.

Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.om2m.commons 1.1.0.qualifier to package org.apache.commons.logging 0.0.0.; No solution found because the problem is unsatisfiable.] -> [Help 1]
org.apache.maven.InternalErrorException: Internal error: java.lang.RuntimeException: No solution found because the problem is unsatisfiable.: [Unable to satisfy dependency from org.eclipse.om2m.commons 1.1.0.qualifier to package org.apache.commons.logging 0.0.0.; No solution found because the problem is unsatisfiable.]
Previous Topic:Subscribe to MN-CSE CIN
Next Topic:Subscription resource is deleted
Goto Forum:
  


Current Time: Sun Sep 22 05:46:38 GMT 2019

Powered by FUDForum. Page generated in 0.01926 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top